package cn.iocoder.yudao.module.museums.controller.admin.photogroup.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 博物馆照片组分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PhotoGroupPageReqVO extends PageParam {

    @Schema(description = "照片组名称", example = "赵六")
    private String groupName;

    @Schema(description = "照片组时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] groupDate;

    @Schema(description = "照片组简介", example = "你说的对")
    private String groupDescription;

    @Schema(description = "创建时间")
    private LocalDateTime createdAt;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "照片组上传")
    private String uploadPhotos;

}