package cn.iocoder.yudao.module.museums.controller.admin.photogroup.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 博物馆照片组新增/修改 Request VO")
@Data
public class PhotoGroupSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "24373")
    private Integer id;

    @Schema(description = "照片组名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @NotEmpty(message = "照片组名称不能为空")
    private String groupName;

    @Schema(description = "照片组时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "照片组时间不能为空")
    private LocalDateTime groupDate;

    @Schema(description = "照片组简介", example = "你说的对")
    private String groupDescription;

    @Schema(description = "创建时间")
    private LocalDateTime createdAt;

    @Schema(description = "照片组上传")
    private List<String> uploadPhotos;

}