package cn.iocoder.yudao.module.museums.controller.admin.photos.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 博物馆照片 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PhotosRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "29516")
    @ExcelProperty("主键")
    private Integer id;

    @Schema(description = "照片组表id", requiredMode = Schema.RequiredMode.REQUIRED, example = "5803")
    @ExcelProperty("照片组表id")
    private Integer groupId;

    @Schema(description = "照片存储路径", requiredMode = Schema.RequiredMode.REQUIRED, example = "https://www.iocoder.cn")
    @ExcelProperty("照片存储路径")
    private String photoUrl;

    @Schema(description = "上传时间")
    @ExcelProperty("上传时间")
    private LocalDateTime createdAt;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}