package cn.iocoder.yudao.module.museums.controller.admin.photos.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 博物馆照片新增/修改 Request VO")
@Data
public class PhotosSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "29516")
    private Integer id;

    @Schema(description = "照片组表id", requiredMode = Schema.RequiredMode.REQUIRED, example = "5803")
    @NotNull(message = "照片组表id不能为空")
    private Integer groupId;

    @Schema(description = "照片存储路径", requiredMode = Schema.RequiredMode.REQUIRED, example = "https://www.iocoder.cn")
    @NotEmpty(message = "照片存储路径不能为空")
    private String photoUrl;

    @Schema(description = "上传时间")
    private LocalDateTime createdAt;

}