package cn.iocoder.yudao.module.museums.controller.admin.specimenoutbound.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 标本出库回库信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SpecimenOutboundPageReqVO extends PageParam {

    @Schema(description = "关联到总表中的标本ID", example = "1")
    private String infoId;

    @Schema(description = "中文名称", example = "张三")
    private String chineseName;

    @Schema(description = "申请出库的标本编号")
    private String specimenNumber;

    @Schema(description = "申请人或申请单位", example = "张三")
    private String applicantName;

    @Schema(description = "申请日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] applicationDate;

    @Schema(description = "申请出库的用途")
    private String applicationUsage;

    @Schema(description = "附件上传")
    private String attachments;

    @Schema(description = "审批状态", example = "2")
    private Integer status;

    @Schema(description = "备注信息")
    private String remarks;

    @Schema(description = "流程实例的编号", example = "19175")
    private String processInstanceId;

    @Schema(description = "出库员")
    private String operator;

    @Schema(description = "出库时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] outgoingTime;

    @Schema(description = "退还人")
    private String returner;

    @Schema(description = "点收人")
    private String receiver;

    @Schema(description = "退还日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] returnDate;

    @Schema(description = "标本情况")
    private String specimenCondition;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "标本状态（已出库、已回库、出库审批中）", example = "2")
    private Integer sampleStatus;

}