package cn.iocoder.yudao.module.museums.controller.admin.specimenoutbound.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 标本出库回库信息新增/修改 Request VO")
@Data
public class SpecimenOutboundSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer id;

    @Schema(description = "关联到总表中的标本ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotEmpty(message = "关联到总表中的标本ID不能为空")
    private String infoId;

    @Schema(description = "中文名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @NotEmpty(message = "中文名称不能为空")
    private String chineseName;

    @Schema(description = "申请出库的标本编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "申请出库的标本编号不能为空")
    private String specimenNumber;

    @Schema(description = "申请人或申请单位", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @NotEmpty(message = "申请人或申请单位不能为空")
    private String applicantName;

    @Schema(description = "申请日期")
    private LocalDateTime applicationDate;

    @Schema(description = "申请出库的用途", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "申请出库的用途不能为空")
    private String applicationUsage;

    @Schema(description = "附件上传")
    private String attachments;

    @Schema(description = "审批状态", example = "2")
    private Integer status;

    @Schema(description = "备注信息")
    private String remarks;

    @Schema(description = "流程实例的编号", example = "19175")
    private String processInstanceId;

    @Schema(description = "出库员", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "出库员不能为空")
    private String operator;

    @Schema(description = "出库时间")
    private LocalDateTime outgoingTime;

    @Schema(description = "退还人", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "退还人不能为空")
    private String returner;

    @Schema(description = "点收人", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "点收人不能为空")
    private String receiver;

    @Schema(description = "退还日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "退还日期不能为空")
    private LocalDateTime returnDate;

    @Schema(description = "标本情况")
    private String specimenCondition;

    @Schema(description = "标本状态（已出库、已回库、出库审批中）", example = "2")
    private Integer sampleStatus;

}