package cn.iocoder.yudao.module.museums.dal.dataobject.museumsdocument;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 博物馆文件管理 DO
 *
 * @author 芋道源码
 */
@TableName("museums_document")
@KeySequence("museums_document_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MuseumsDocumentDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Integer id;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 配置编号
     */
    private Integer configId;
    /**
     * 路径
     */
    private String path;
    /**
     * 文件 URL
     */
    private String url;
    /**
     * 文件大小（字节）
     */
    private Integer fileSize;
    /**
     * 文件类型
     */
    private String fileType;
    /**
     * 上传时间
     */
    private LocalDateTime uploadDate;
    /**
     * 上传者
     */
    private String uploadedBy;

}