package cn.iocoder.yudao.module.museums.dal.dataobject.photos;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 博物馆照片 DO
 *
 * @author qpw
 */
@TableName("museums_photos")
@KeySequence("museums_photos_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PhotosDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Integer id;
    /**
     * 照片组表id
     */
    private Integer groupId;
    /**
     * 照片存储路径
     */
    private String photoUrl;
    /**
     * 上传时间
     */
    private LocalDateTime createdAt;

}