package cn.iocoder.yudao.module.museums.dal.dataobject.specimeninfo;

import lombok.*;

import java.time.LocalDate;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 标本管理 DO
 *
 * @author 普伟
 */
@TableName("museums_specimen_info")
@KeySequence("museums_specimen_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpecimenInfoDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Integer id;
    /**
     * 标本类型（矿物、岩石矿石、化石、陨石）
     */
    private Integer specimenType;
    /**
     * 标本编号
     */
    private String specimenNumber;
    /**
     * 资产号
     */
    private String assetNumber;
    /**
     * 存放位置
     */
    private String storageLocation;
    /**
     * 中文名称
     */
    private String chineseName;
    /**
     * 英文名称
     */
    private String englishName;
    /**
     * 成分
     */
    private String composition;
    /**
     * 产地
     */
    private String origin;
    /**
     * 时代
     */
    private String era;
    /**
     * 保存地层
     */
    private String preservedLayer;
    /**
     * 陨石类型
     */
    private String meteoriteType;
    /**
     * 国际命名
     */
    private String internationalName;
    /**
     * 发现时间
     */
    private LocalDate discoveryTime;
    /**
     * 降落时间
     */
    private LocalDate fallTime;
    /**
     * 保存类型（标本、光片、薄片模型及其他）
     */
    private Integer preservationType;
    /**
     * 尺寸
     */
    private String size;
    /**
     * 重量
     */
    private BigDecimal weight;
    /**
     * 来源（采购、捐赠、采集）
     */
    private Integer source;
    /**
     * 标本提供者（供应商、捐赠人、采集人）
     */
    private String provider;
    /**
     * 入藏时间（购买、捐赠、采集时间）
     */
    private LocalDate acquisitionTime;
    /**
     * 用途
     */
    private String purpose;
    /**
     * 描述
     */
    private String description;
    /**
     * 馆藏状态（在馆、借出）
     */
    private Integer collectionStatus;
    /**
     * 备注
     */
    private String notes;
    /**
     * 图片名称
     */
    private String imageName;
    /**
     * 图片路径
     */
    private String imagePath;
    /**
     * 注销原因
     */
    private String deletedReason;
    /**
     * 入库操作员
     */
    private String operator;
    /**
     * 入库时间
     */
    private LocalDateTime entryDate;

}