package cn.iocoder.yudao.module.museums.dal.mysql.specimeninfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.museums.dal.dataobject.specimeninfo.SpecimenInfoDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.museums.controller.admin.specimeninfo.vo.*;

/**
 * 标本管理 Mapper
 *
 * @author 普伟
 */
@Mapper
public interface SpecimenInfoMapper extends BaseMapperX<SpecimenInfoDO> {

    default PageResult<SpecimenInfoDO> selectPage(SpecimenInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SpecimenInfoDO>()
                .eqIfPresent(SpecimenInfoDO::getSpecimenType, reqVO.getSpecimenType())
                .eqIfPresent(SpecimenInfoDO::getSpecimenNumber, reqVO.getSpecimenNumber())
                .eqIfPresent(SpecimenInfoDO::getAssetNumber, reqVO.getAssetNumber())
                .eqIfPresent(SpecimenInfoDO::getStorageLocation, reqVO.getStorageLocation())
                .likeIfPresent(SpecimenInfoDO::getChineseName, reqVO.getChineseName())
                .likeIfPresent(SpecimenInfoDO::getEnglishName, reqVO.getEnglishName())
                .eqIfPresent(SpecimenInfoDO::getComposition, reqVO.getComposition())
                .eqIfPresent(SpecimenInfoDO::getOrigin, reqVO.getOrigin())
                .eqIfPresent(SpecimenInfoDO::getEra, reqVO.getEra())
                .eqIfPresent(SpecimenInfoDO::getPreservedLayer, reqVO.getPreservedLayer())
                .eqIfPresent(SpecimenInfoDO::getMeteoriteType, reqVO.getMeteoriteType())
                .likeIfPresent(SpecimenInfoDO::getInternationalName, reqVO.getInternationalName())
                .betweenIfPresent(SpecimenInfoDO::getDiscoveryTime, reqVO.getDiscoveryTime())
                .betweenIfPresent(SpecimenInfoDO::getFallTime, reqVO.getFallTime())
                .eqIfPresent(SpecimenInfoDO::getPreservationType, reqVO.getPreservationType())
                .eqIfPresent(SpecimenInfoDO::getSize, reqVO.getSize())
                .eqIfPresent(SpecimenInfoDO::getWeight, reqVO.getWeight())
                .eqIfPresent(SpecimenInfoDO::getSource, reqVO.getSource())
                .eqIfPresent(SpecimenInfoDO::getProvider, reqVO.getProvider())
                .betweenIfPresent(SpecimenInfoDO::getAcquisitionTime, reqVO.getAcquisitionTime())
                .eqIfPresent(SpecimenInfoDO::getPurpose, reqVO.getPurpose())
                .eqIfPresent(SpecimenInfoDO::getDescription, reqVO.getDescription())
                .eqIfPresent(SpecimenInfoDO::getCollectionStatus, reqVO.getCollectionStatus())
                .eqIfPresent(SpecimenInfoDO::getNotes, reqVO.getNotes())
                .likeIfPresent(SpecimenInfoDO::getImageName, reqVO.getImageName())
                .eqIfPresent(SpecimenInfoDO::getImagePath, reqVO.getImagePath())
                .betweenIfPresent(SpecimenInfoDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(SpecimenInfoDO::getDeletedReason, reqVO.getDeletedReason())
                .eqIfPresent(SpecimenInfoDO::getOperator, reqVO.getOperator())
                .betweenIfPresent(SpecimenInfoDO::getEntryDate, reqVO.getEntryDate())
                .orderByDesc(SpecimenInfoDO::getId));
    }

}