package cn.iocoder.yudao.module.museums.service.photos;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.museums.controller.admin.photos.vo.*;
import cn.iocoder.yudao.module.museums.dal.dataobject.photos.PhotosDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 博物馆照片 Service 接口
 *
 * @author qpw
 */
public interface PhotosService {

    /**
     * 创建博物馆照片
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createPhotos(@Valid PhotosSaveReqVO createReqVO);

    /**
     * 更新博物馆照片
     *
     * @param updateReqVO 更新信息
     */
    void updatePhotos(@Valid PhotosSaveReqVO updateReqVO);

    /**
     * 删除博物馆照片
     *
     * @param id 编号
     */
    void deletePhotos(Integer id);

    /**
     * 获得博物馆照片
     *
     * @param id 编号
     * @return 博物馆照片
     */
    PhotosDO getPhotos(Integer id);

    /**
     * 获得博物馆照片分页
     *
     * @param pageReqVO 分页查询
     * @return 博物馆照片分页
     */
    PageResult<PhotosDO> getPhotosPage(PhotosPageReqVO pageReqVO);

}