package cn.iocoder.yudao.module.museums.service.specimeninfo;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.museums.controller.admin.specimeninfo.vo.*;
import cn.iocoder.yudao.module.museums.dal.dataobject.specimeninfo.SpecimenInfoDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 标本管理 Service 接口
 *
 * @author 普伟
 */
public interface SpecimenInfoService {

    /**
     * 创建标本管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createSpecimenInfo(@Valid SpecimenInfoSaveReqVO createReqVO);

    /**
     * 更新标本管理
     *
     * @param updateReqVO 更新信息
     */
    void updateSpecimenInfo(@Valid SpecimenInfoSaveReqVO updateReqVO);

    /**
     * 删除标本管理
     *
     * @param id 编号
     */
    void deleteSpecimenInfo(Integer id);

    /**
     * 获得标本管理
     *
     * @param id 编号
     * @return 标本管理
     */
    SpecimenInfoDO getSpecimenInfo(Integer id);

    /**
     * 获得标本管理分页
     *
     * @param pageReqVO 分页查询
     * @return 标本管理分页
     */
    PageResult<SpecimenInfoDO> getSpecimenInfoPage(SpecimenInfoPageReqVO pageReqVO);

}