package cn.iocoder.yudao.module.museums.service.specimenoutbound;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.museums.controller.admin.specimenoutbound.vo.*;
import cn.iocoder.yudao.module.museums.dal.dataobject.specimenoutbound.SpecimenOutboundDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 标本出库回库信息 Service 接口
 *
 * @author qpw
 */
public interface SpecimenOutboundService {

    /**
     * 创建标本出库回库信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createSpecimenOutbound(@Valid SpecimenOutboundSaveReqVO createReqVO);

    /**
     * 更新标本出库回库信息
     *
     * @param updateReqVO 更新信息
     */
    void updateSpecimenOutbound(@Valid SpecimenOutboundSaveReqVO updateReqVO);

    /**
     * 删除标本出库回库信息
     *
     * @param id 编号
     */
    void deleteSpecimenOutbound(Integer id);

    /**
     * 获得标本出库回库信息
     *
     * @param id 编号
     * @return 标本出库回库信息
     */
    SpecimenOutboundDO getSpecimenOutbound(Integer id);

    /**
     * 获得标本出库回库信息分页
     *
     * @param pageReqVO 分页查询
     * @return 标本出库回库信息分页
     */
    PageResult<SpecimenOutboundDO> getSpecimenOutboundPage(SpecimenOutboundPageReqVO pageReqVO);

}