//package cn.iocoder.yudao.module.museums.service.specimenoutbound;
//
//import org.junit.jupiter.api.Disabled;
//import org.junit.jupiter.api.Test;
//import org.springframework.boot.test.mock.mockito.MockBean;
//
//import javax.annotation.Resource;
//
//import cn.iocoder.yudao.framework.test.core.ut.BaseDbUnitTest;
//
//import cn.iocoder.yudao.module.museums.controller.admin.specimenoutbound.vo.*;
//import cn.iocoder.yudao.module.museums.dal.dataobject.specimenoutbound.SpecimenOutboundDO;
//import cn.iocoder.yudao.module.museums.dal.mysql.specimenoutbound.SpecimenOutboundMapper;
//import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
//import javax.annotation.Resource;
//import org.springframework.context.annotation.Import;
//import java.util.*;
//import java.time.LocalDateTime;
//
//import static cn.hutool.core.util.RandomUtil.*;
//import static cn.iocoder.yudao.module.museums.enums.ErrorCodeConstants.*;
//import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
//import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
//import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.*;
//import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
//import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;
//import static org.junit.jupiter.api.Assertions.*;
//import static org.mockito.Mockito.*;
//
///**
// * {@link SpecimenOutboundServiceImpl} 的单元测试类
// *
// * @author qpw
// */
//@Import(SpecimenOutboundServiceImpl.class)
//public class SpecimenOutboundServiceImplTest extends BaseDbUnitTest {
//
//    @Resource
//    private SpecimenOutboundServiceImpl specimenOutboundService;
//
//    @Resource
//    private SpecimenOutboundMapper specimenOutboundMapper;
//
//    @Test
//    public void testCreateSpecimenOutbound_success() {
//        // 准备参数
//        SpecimenOutboundSaveReqVO createReqVO = randomPojo(SpecimenOutboundSaveReqVO.class).setId(null);
//
//        // 调用
//        Integer specimenOutboundId = specimenOutboundService.createSpecimenOutbound(createReqVO);
//        // 断言
//        assertNotNull(specimenOutboundId);
//        // 校验记录的属性是否正确
//        SpecimenOutboundDO specimenOutbound = specimenOutboundMapper.selectById(specimenOutboundId);
//        assertPojoEquals(createReqVO, specimenOutbound, "id");
//    }
//
//    @Test
//    public void testUpdateSpecimenOutbound_success() {
//        // mock 数据
//        SpecimenOutboundDO dbSpecimenOutbound = randomPojo(SpecimenOutboundDO.class);
//        specimenOutboundMapper.insert(dbSpecimenOutbound);// @Sql: 先插入出一条存在的数据
//        // 准备参数
//        SpecimenOutboundSaveReqVO updateReqVO = randomPojo(SpecimenOutboundSaveReqVO.class, o -> {
//            o.setId(dbSpecimenOutbound.getId()); // 设置更新的 ID
//        });
//
//        // 调用
//        specimenOutboundService.updateSpecimenOutbound(updateReqVO);
//        // 校验是否更新正确
//        SpecimenOutboundDO specimenOutbound = specimenOutboundMapper.selectById(updateReqVO.getId()); // 获取最新的
//        assertPojoEquals(updateReqVO, specimenOutbound);
//    }
//
//    @Test
//    public void testUpdateSpecimenOutbound_notExists() {
//        // 准备参数
//        SpecimenOutboundSaveReqVO updateReqVO = randomPojo(SpecimenOutboundSaveReqVO.class);
//
//        // 调用, 并断言异常
//        assertServiceException(() -> specimenOutboundService.updateSpecimenOutbound(updateReqVO), SPECIMEN_OUTBOUND_NOT_EXISTS);
//    }
//
//    @Test
//    public void testDeleteSpecimenOutbound_success() {
//        // mock 数据
//        SpecimenOutboundDO dbSpecimenOutbound = randomPojo(SpecimenOutboundDO.class);
//        specimenOutboundMapper.insert(dbSpecimenOutbound);// @Sql: 先插入出一条存在的数据
//        // 准备参数
//        Integer id = dbSpecimenOutbound.getId();
//
//        // 调用
//        specimenOutboundService.deleteSpecimenOutbound(id);
//       // 校验数据不存在了
//       assertNull(specimenOutboundMapper.selectById(id));
//    }
//
//    @Test
//    public void testDeleteSpecimenOutbound_notExists() {
//        // 准备参数
//        Integer id = randomIntegerId();
//
//        // 调用, 并断言异常
//        assertServiceException(() -> specimenOutboundService.deleteSpecimenOutbound(id), SPECIMEN_OUTBOUND_NOT_EXISTS);
//    }
//
//    @Test
//    @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//    public void testGetSpecimenOutboundPage() {
//       // mock 数据
//       SpecimenOutboundDO dbSpecimenOutbound = randomPojo(SpecimenOutboundDO.class, o -> { // 等会查询到
//           o.setInfoId(null);
//           o.setChineseName(null);
//           o.setSpecimenNumber(null);
//           o.setApplicantName(null);
//           o.setApplicationDate(null);
//           o.setApplicationUsage(null);
//           o.setAttachments(null);
//           o.setStatus(null);
//           o.setRemarks(null);
//           o.setProcessInstanceId(null);
//           o.setOperator(null);
//           o.setOutgoingTime(null);
//           o.setReturner(null);
//           o.setReceiver(null);
//           o.setReturnDate(null);
//           o.setSpecimenCondition(null);
//           o.setCreateTime(null);
//           o.setSampleStatus(null);
//       });
//       specimenOutboundMapper.insert(dbSpecimenOutbound);
//       // 测试 infoId 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setInfoId(null)));
//       // 测试 chineseName 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setChineseName(null)));
//       // 测试 specimenNumber 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setSpecimenNumber(null)));
//       // 测试 applicantName 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setApplicantName(null)));
//       // 测试 applicationDate 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setApplicationDate(null)));
//       // 测试 applicationUsage 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setApplicationUsage(null)));
//       // 测试 attachments 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setAttachments(null)));
//       // 测试 status 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setStatus(null)));
//       // 测试 remarks 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setRemarks(null)));
//       // 测试 processInstanceId 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setProcessInstanceId(null)));
//       // 测试 operator 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setOperator(null)));
//       // 测试 outgoingTime 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setOutgoingTime(null)));
//       // 测试 returner 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setReturner(null)));
//       // 测试 receiver 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setReceiver(null)));
//       // 测试 returnDate 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setReturnDate(null)));
//       // 测试 specimenCondition 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setSpecimenCondition(null)));
//       // 测试 createTime 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setCreateTime(null)));
//       // 测试 sampleStatus 不匹配
//       specimenOutboundMapper.insert(cloneIgnoreId(dbSpecimenOutbound, o -> o.setSampleStatus(null)));
//       // 准备参数
//       SpecimenOutboundPageReqVO reqVO = new SpecimenOutboundPageReqVO();
//       reqVO.setInfoId(null);
//       reqVO.setChineseName(null);
//       reqVO.setSpecimenNumber(null);
//       reqVO.setApplicantName(null);
//       reqVO.setApplicationDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//       reqVO.setApplicationUsage(null);
//       reqVO.setAttachments(null);
//       reqVO.setStatus(null);
//       reqVO.setRemarks(null);
//       reqVO.setProcessInstanceId(null);
//       reqVO.setOperator(null);
//       reqVO.setOutgoingTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//       reqVO.setReturner(null);
//       reqVO.setReceiver(null);
//       reqVO.setReturnDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//       reqVO.setSpecimenCondition(null);
//       reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//       reqVO.setSampleStatus(null);
//
//       // 调用
//       PageResult<SpecimenOutboundDO> pageResult = specimenOutboundService.getSpecimenOutboundPage(reqVO);
//       // 断言
//       assertEquals(1, pageResult.getTotal());
//       assertEquals(1, pageResult.getList().size());
//       assertPojoEquals(dbSpecimenOutbound, pageResult.getList().get(0));
//    }
//
//}